| Haskell Core Libraries (Cabal package) | Contents | Index

Distribution.Version

Portability | portable
Stability | alpha
Maintainer | Isaac Jones <ijones@syntaxpolice.org>

Contents

Package versions
Version ranges
Dependencies

Description
Versions for packages, based on the `Version` datatype.
Synopsis

Version (Version, versionBranch, versionTags)
showVersion
parseVersion

data VersionRange

= AnyVersion
| ThisVersion Version
| LaterVersion Version
| EarlierVersion Version
| UnionVersionRanges VersionRange VersionRange
| IntersectVersionRanges VersionRange VersionRange

orLaterVersion :: Version -> VersionRange
orEarlierVersion :: Version -> VersionRange
betweenVersionsInclusive :: Version -> Version -> VersionRange
withinRange :: Version -> VersionRange -> Bool
showVersionRange :: VersionRange -> String
parseVersionRange :: ReadP r VersionRange
data Dependency = Dependency String VersionRange

Package versions
Version (Version, versionBranch, versionTags)
showVersion
parseVersion
Version ranges
data VersionRange

Constructors

AnyVersion |
ThisVersion Version |
LaterVersion Version |
EarlierVersion Version |
UnionVersionRanges VersionRange VersionRange |
IntersectVersionRanges VersionRange VersionRange |

Instances

Eq VersionRange
Read VersionRange
Show VersionRange

orLaterVersion :: Version -> VersionRange
orEarlierVersion :: Version -> VersionRange
betweenVersionsInclusive :: Version -> Version -> VersionRange
withinRange :: Version -> VersionRange -> Bool
Does this version fall within the given range?
showVersionRange :: VersionRange -> String
parseVersionRange :: ReadP r VersionRange
Dependencies
data Dependency

Constructors

Dependency String VersionRange |

Instances

Eq Dependency
Read Dependency
Show Dependency

Produced by Haddock version 0.7